# Giving Processes Giving Processes ## Gets all of the giving processes in the system. - [GET /givingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/listgivingprocesses.md): This method will scan all giving processes and and return them to the caller. ## Creates a new giving process record that does not already exist. - [POST /givingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/creategivingprocess.md): This method will auto-generate an ID and create a new giving process. If an ID is specified for the giving process, an error will be thrown. ## Execute Batch Operations - [POST /givingProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Gets all of the processes a contact/org is eligible to use - [GET /givingProcesses/{tenantId}/eligible/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/geteligibleprocesses.md) ## Returns a giving process from the system by its ID. - [DELETE /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/deletegivingprocess.md): This method will delete a giving process with the specified ID. ## Returns a giving process from the system by its ID. - [GET /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/getgivingprocess.md): This method will look up a giving process by the specified ID and return it back. ## Partially updates a giving process with the specified ID. - [PATCH /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/patchgivingprocess.md): This method will patch an existing giving process with the specified ID, using the HTTP PATCH specification. ## Updates a giving process with the specified ID. - [PUT /givingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/giving-processes/updategivingprocess.md): This method will update an existing giving process with the specified ID.